Page MenuHomeMiraheze

Unknown db on login
Closed, ResolvedPublic

Description

I attempted to launch Void-bot (which checks a config page on metawiki before connecting to IRC) and received an ambiguous error that the script could not login as Void-bot. I therefore opened a new browser and attempted a manual login and received the specific error (Cannot access the database: Cannot access the database: Unknown database '0' (81.4.125.112)). @John mentioned on IRC that 0 is impossible for a db name. When I view any page later, it treats it as though the login was successful. I do not recieve this error when logging into my main Void account.

Event Timeline

Void created this task.Sep 16 2017, 00:48
Void created this object in space S1 Public.

Hmm, strange. We should wait for further user reports.

John added a comment.Sep 16 2017, 08:26

https://meta.miraheze.org/w/index.php?title=Special%3ACentralAuth&target=Void-bot Confuses me as '0' definitely doesn't exist even if impossible, there's no reason for the database 0 to be called.

Void added a comment.Sep 16 2017, 14:55

Well, as a temporary solution, I could create a new account and attempt to use that in the meantime. I'll see if I can figure out anything else about it.

Void added a comment.Sep 16 2017, 17:03

I also experienced this issue when attempting to login as Void-test. I do not encounter it with the new account.

Reception123 added a comment.EditedSep 28 2017, 16:44

I can now confirm this error when trying to also sign in with my alt account, but I did get signed in anyway.

Void added a comment.EditedOct 28 2017, 22:13

This just propagated to the account Void-bot2

Actually, it currently affects all the alternate accounts I have.

Well there is definitely no database called '0' on db2, or an entry in cw_wikis like that, so I don't know why this database is being called upon login.

15:10:33 mw1 metawiki: [64f3b206dedac3b17e53f55b] /w/api.php?format=xml&rawcontinue=1&maxlag=5&action=login   Wikimedia\Rdbms\DBConnectionError from line 769 of /srv/mediawiki/w/includes/libs/rdbms/database/Database.php: Cannot access the database: Unknown database '0' (81.4.125.112)

Disabled until 1.30

Reception123 closed this task as Resolved.Nov 12 2017, 19:23
Reception123 claimed this task.

Will be resolved in 1.30, when the extension is re-enabled after the fix.